Package org.apache.sling.engine.auth

# Class NoAuthenticationHandlerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.engine.auth.NoAuthenticationHandlerException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class NoAuthenticationHandlerException extends org.apache.sling.api.SlingException
Deprecated.
see `Authenticator`
The `NoAuthenticationHandlerException` is thrown to indicate that there is no `AuthenticationHandler` willing to handle the request.

This exception is thrown without a message. The caller of the `Authenticator` method called is expected to immediately handle this exception and not to forward it up the call chain.

This exception is not intended to be thrown by client code but is used by the `Authenticator` implementation to indicate, that no `AuthenticationHandler` is available to login.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoAuthenticationHandlerException()`
Deprecated.
Default constructor for the `NoAuthenticationHandlerException`.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoAuthenticationHandlerException

public NoAuthenticationHandlerException()
Deprecated.
Default constructor for the `NoAuthenticationHandlerException`.